Bug 603001 - selinux-polgengui creates .te files with syntax errors
Summary: selinux-polgengui creates .te files with syntax errors
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: policycoreutils   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Daniel Walsh
QA Contact: Milos Malik
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-11 08:43 UTC by Milos Malik
Modified: 2010-11-10 21:21 UTC (History)
3 users (show)

Fixed In Version: policycoreutils-2.0.82-31.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 21:21:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Milos Malik 2010-06-11 08:43:10 UTC
Description of problem:


Version-Release number of selected component (if applicable):
checkpolicy-2.0.21-2.el6.i686
policycoreutils-2.0.82-28.el6.i686
policycoreutils-gui-2.0.82-28.el6.i686
policycoreutils-newrole-2.0.82-28.el6.i686
policycoreutils-python-2.0.82-28.el6.i686
policycoreutils-sandbox-2.0.82-28.el6.i686
selinux-policy-3.7.19-24.el6.noarch
selinux-policy-doc-3.7.19-24.el6.noarch
selinux-policy-minimum-3.7.19-24.el6.noarch
selinux-policy-mls-3.7.19-24.el6.noarch
selinux-policy-targeted-3.7.19-24.el6.noarch

How reproducible:
always

Steps to Reproduce:
1. run selinux-polgengui
2. click Forward
3. choose "Admin User Role" and click Forward
4. enter some name and click Forward
5. click Forward until Apply button appears
6. click Apply
7. click OK
8. click Close
9. run following commands:
# ls -l
# make -f /usr/share/selinux/devel/Makefile 

Actual results:
# ls -l
total 8
-rw-r--r--. 1 root root    0 Jun 11 04:32 blabla.if
-rwxr-x---. 1 root root 1482 Jun 11 04:32 blabla.sh
-rw-r--r--. 1 root root  376 Jun 11 04:32 blabla.te
# make -f /usr/share/selinux/devel/Makefile 
Compiling targeted blabla module
/usr/bin/checkmodule:  loading policy configuration from tmp/blabla.tmp
blabla.te":8:ERROR 'syntax error' at token 'userdom_admin_login_user_template' on line 3208:
userdom_admin_login_user_template(blabla)

/usr/bin/checkmodule:  error(s) encountered while parsing configuration
make: *** [tmp/blabla.mod] Error 1

Expected results:
no syntax error

Comment 1 Milos Malik 2010-06-11 08:57:40 UTC
If you follow the same sequence actions as described in comment #0 but you choose "Root Admin User Role" instead of "Admin User Role" (step 3) you will see another syntax error during module compilation:

# make -f /usr/share/selinux/devel/Makefile Compiling targeted blabla module
/usr/bin/checkmodule:  loading policy configuration from tmp/blabla.tmp
blabla.te":40:ERROR 'syntax error' at token 'userdom_dontaudit_search_sysadm_home_dirs' on line 14056:
userdom_dontaudit_search_sysadm_home_dirs(blabla_t)

/usr/bin/checkmodule:  error(s) encountered while parsing configuration
make: *** [tmp/blabla.mod] Error 1

Comment 3 Daniel Walsh 2010-06-15 17:49:41 UTC
Fixed in policycoreutils-2.0.82-31.el6

Comment 5 releng-rhel@redhat.com 2010-11-10 21:21:25 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.